%define url_ver   %(echo %{version}|cut -d. -f1,2)
%define name      mate-sensors-applet
%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Detailed hardware monitoring applet for MATE
Name:           %{name}
Version:        1.6.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         sensors-applet-2.2.3-fix-linkage.patch

BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libatasmart)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  lm_sensors-devel

%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

%package -n %{libname}
Summary:    mate-sensors-applet libraries
Group:        System/Libraries

%description -n %{libname}
This is the shared library parts of %name.

%package -n %{develname}
Summary:    Development files for mate-sensors-applet
Group:        Development/C
Requires:    %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for mate-sensors-applet.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
    --disable-static \
    --disable-scrollkeeper \
    --enable-libnotify \
    --with-nvidia

%make 

%install
%makeinstall_std

find %{buildroot}%{_libdir} -type f -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_libexecdir}/mate-sensors-applet
%{_libdir}/libmate-sensors-applet-plugin.so.*
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/mate/help/mate-sensors-applet/
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%dir %{_datadir}/glib-2.0/schemas
%{_datadir}/glib-2.0/schemas/*.xml
%dir %{_datadir}/mate-panel/applets
%{_datadir}/mate-panel/applets/org.mate.applets.sensors-applet.mate-panel-applet

%files -n %{libname}
%{_libdir}/libmate-sensors-applet-plugin.so.%{major}*

%files -n %{develname}
%{_includedir}/mate-sensors-applet/*
%{_libdir}/*.so



%changelog
* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563881
-Update to new bugfix version: 1.6.1

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531074
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445515
- imported package mate-sensors-applet

